<!-- 默认复制 -->

<template>
	<view class="content">
		<view class="c-top">
			<view style="width: 20px; height: 20px; " @click="getback()">
				<uni-icons type="left" size="18"></uni-icons>
			</view>
			<view class="c-title">公告分类</view>
			<view style="width: 20px; height: 20px; "></view>
		</view>
		
		<view class="cont-box" @click="chooseUnit(item.label)"  v-for="(item,index) in publishUnit" :key="index">
			<view class="c-title">{{item.label}}</view>
		</view>
		
		
	</view>
</template>

<script>
	import config from '@/config'
	import request from '../../utils/request';
	import tabBar from '../../components/tabBar/tabBar.vue'
	export default{
		data(){
			return{
			publishUnit:[]
			}
		},
		components:{
			tabBar
		},
		onShow() {
			this.getTypeList()
		},
		methods:{
			async getTypeList(){
				let typeRes = await request({
					url: '/admin-api/rescue/dict/data/type/publish_unit',
					method: 'get'
				})
				this.publishUnit = typeRes.data
			},
			getback(){
			uni.navigateBack({
					delta:1,
				})	
			},
			chooseUnit(unit){
				uni.navigateTo({
					url:'/pages/detedetails/detelisthygg?unit='+unit
				})
			}
			
			
		}
		
	}
</script>

<style scoped lang="scss">
	.content{
		width: 100%;
		height: calc(100vh);
		background-color: #F6F6F6;
		box-sizing: border-box;
		// padding-top: 45px;
	}
	
	.c-tap{
		width: 100%;
		height: 40px;
		box-sizing: border-box;
		padding: 15px;
		display: flex;
		background-color: white;
		align-items: center;
	}
	.c-top{
		width: 100%;
		box-sizing: border-box;
		padding: 15px;
		padding-top: 15%;
		display: flex;
		justify-content: space-between;
		align-items: center;
		background-color: white;
	}
	.c-title{
		font-size: 18px;
		font-weight: bold
	}
	.cont-box{
		z-index: 999;
		width: 95%;
		height: 100px;
		background-color: #ffffff;
		border-radius: 8px;
		margin:10px auto;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	.lanbox{
		font-size: 16px;
		color: #006bf6 !important;
	}
	
	
</style>